{ config, pkgs, ...}:
{
  config = {
    virtualisation.oci-containers = {
      containers = rec {
        homeassistant = {
          image = "ghcr.io/home-assistant/home-assistant:stable";
          ports = [
            "8123:8123"
          ];
          volumes = [
            "/var/lib/homeassistant/config:/config"
          ];
          extraOptions = [
            "--pull=newer"
            "--device" "/dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2471411-if00:/dev/ttyZIG:rwm"
          ];
        };
      };
    };
  };
}
# podman --runtime /usr/bin/crun run -d \
#   --security-opt label=disable \
#   --annotation run.oci.keep_original_groups=1 \
#   --restart=unless-stopped \
#   --name homeassistant \
#   --cap-add=CAP_NET_RAW,CAP_NET_BIND_SERVICE \
#   -p 8123:8123 \
#   -v /home/server/CONTAINERS/HASS/config:/config:Z \
#   --device /dev/ttyACM0:/dev/ttyZIG:rwm \
#   -e TZ=America/Toronto \
#   ghcr.io/home-assistant/home-assistant:stable
